Summary: Supports reading and manipulating the UEFI signatures database
Name: efitools
Version: git
Release: r12.0
License: GPLv2
Group: console/utils
Packager: Wind River <info@windriver.com>
BuildRequires: virtual/libc
BuildRequires: openssl
BuildRequires: gnu-efi
BuildRequires: openssl-native
BuildRequires: virtual/x86_64-wrs-linux-gcc
BuildRequires: virtual/x86_64-wrs-linux-compilerlibs
Requires: rtld(GNU_HASH)
Requires: libc.so.6(GLIBC_2.14)(64bit)
Requires: libcrypto.so.1.0.0()(64bit)
Requires: /bin/bash
Requires: libc.so.6()(64bit)
Requires: libc6 >= 2.20+sdkwrl7+27
Requires: libc.so.6(GLIBC_2.2.5)(64bit)
Requires: openssl
Requires: libcrypto1.0.0 >= 1.0.1j
Requires: /bin/sh
Requires: libcrypto.so.1.0.0(OPENSSL_1.0.0)(64bit)
Requires: libc.so.6(GLIBC_2.7)(64bit)
Provides: elf(buildid) = 824935f9bd4abf6066fc2772a98655abf5117164
Provides: elf(buildid) = b559559382abe7d6d1956738f6950aae9087447b
Provides: elf(buildid) = 5847d68dbf39cc5ee7a24ab148677cbce9f54865
Provides: elf(buildid) = 8934702103673f940b35f9e787b2ac2af526678c
Provides: elf(buildid) = c7a7282a8372ba0d38df41166fcecfa66c31a97c
Provides: elf(buildid) = e5961ac6d7117c1ba3a6365f6e86e8b7e17686fd
Provides: elf(buildid) = 8636f281ffe4be33e9ba51ecb309ff8c475ed5a6
Provides: elf(buildid) = e808de971a05ccfe5994d7f999bd4cdf5dff5c87

%description
From the EFI Tools package in the Linux user-space, it's now possible
to read and manipulate the UEFI signatures database via the new     efi-
readvar and efi-updatevar commands. Aside from needing efitools     1.4,
the EFIVARFS file-system is also needed, which was only introduced     in
the Linux 3.8 kernel.

%package -n efitools-dbg
Summary: Supports reading and manipulating the UEFI signatures database - Debugging files
Group: devel
Suggests: libc6-dbg
Suggests: libcrypto-dbg
Recommends: efitools = git-r12.0

%description -n efitools-dbg
From the EFI Tools package in the Linux user-space, it's now possible
to read and manipulate the UEFI signatures database via the new     efi-
readvar and efi-updatevar commands. Aside from needing efitools     1.4,
the EFIVARFS file-system is also needed, which was only introduced     in
the Linux 3.8 kernel.   This package contains ELF symbols and related
sources for debugging purposes.

%package -n efitools-dev
Summary: Supports reading and manipulating the UEFI signatures database - Development files
Group: devel
Requires: efitools = git-r12.0
Suggests: libc6-dev
Suggests: openssl-dev
Suggests: gnu-efi-dev
Suggests: libcrypto-dev

%description -n efitools-dev
From the EFI Tools package in the Linux user-space, it's now possible
to read and manipulate the UEFI signatures database via the new     efi-
readvar and efi-updatevar commands. Aside from needing efitools     1.4,
the EFIVARFS file-system is also needed, which was only introduced     in
the Linux 3.8 kernel.   This package contains symbolic links, header files,
and related items necessary for software development.

%package -n efitools-staticdev
Summary: Supports reading and manipulating the UEFI signatures database - Development files (Static Libraries)
Group: devel
Requires: efitools-dev = git-r12.0

%description -n efitools-staticdev
From the EFI Tools package in the Linux user-space, it's now possible
to read and manipulate the UEFI signatures database via the new     efi-
readvar and efi-updatevar commands. Aside from needing efitools     1.4,
the EFIVARFS file-system is also needed, which was only introduced     in
the Linux 3.8 kernel.   This package contains static libraries for software
development.

%files
%defattr(-,-,-,-)
%dir "/usr"
%dir "/etc"
%dir "/usr/bin"
"/usr/bin/cert-to-efi-sig-list"
"/usr/bin/efi-updatevar"
"/usr/bin/OsIndicate.sh"
"/usr/bin/cert-to-efi-hash-list"
"/usr/bin/flash-var"
"/usr/bin/efitool-mkusb"
"/usr/bin/hash-to-efi-sig-list"
"/usr/bin/efi-readvar"
"/usr/bin/sig-list-to-certs"
"/usr/bin/sb-status.sh"
"/usr/bin/sign-efi-sig-list"
"/usr/bin/sb-sig-verify.sh"
%dir "/etc/init.d"
%dir "/etc/rc3.d"
"/etc/init.d/keytool"
"/etc/rc3.d/S99keytool"

%files -n efitools-dbg
%defattr(-,-,-,-)

%files -n efitools-dev
%defattr(-,-,-,-)

